Skip to content

Batch Upload Tracking Number

Request URL: POST /upload/trackingNumber

Request Parameters

Description:

  • The request body is a JsonArray. The number of logistics information uploaded in a single time must be greater than or equal to 1 and less than 100
  • When the same uniqueId is uploaded multiple times, it will be updated to the latest logistics information
ParameterTypeRequiredDescription
uniqueIdString(128)RequiredOriginal transaction unique ID returned by the system
companyString(255)RequiredLogistics company
remarkString(255)OptionalRefund remarks

Request Example

json
[
  {
    "uniqueId": "1671341056093859842",
    "company": "SF",
    "number": "SF1683175209651"
  },
  {
    "uniqueId": "1671340824702496769",
    "company": "ST",
    "number": "773224474897773"
  },
  ......
]

Return to the instance

The upload was successful

json
{
  "code": 141,
  "message": "upload successful",
  "timestamp": 1687314214127
}

Upload failed

json
{
  "code": 142,
  "message": "Upload data is empty",
  "timestamp": 1687318042327
}